<?
if(isset($_GET['level']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_petground` WHERE `id` = '".intval($_GET['level'])."' AND `id_user` = '$ku[id]' AND `id_pet` != '0' AND `level` < '20'"),0)!=0)
{
$petground=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_petground` WHERE `id` = '".intval($_GET['level'])."' AND `id_user` = '$ku[id]' AND `id_pet` != '0' AND `level` < '20'"));
$petground['next_level']=$petground['level']+1;
$money_level=$petground['next_level']*1000;
if($ku['money']>=$money_level)
{
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']-$money_level)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_petground` SET `level` = '$petground[next_level]' WHERE `id` = '$petground[id]'");
}
else $_SESSION['no_money']=$ku['money']-$money_level;
header("Location:/mypetfarm/moderate/".passgen());
exit;
}
?>